- entry_type: violation_sequence
  metadata:
    format_version: '2.0'
    uuid: 31152699-769c-4c56-82a5-d0ca05488302
    creation_time: '2024-11-21T14:08:19+01:00'
    producer:
      name: GemCutter
      version: 0.3.0-dev-1f73d82-m
    task:
      input_files:
      - /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/mix002.opt.i
      input_file_hashes:
        /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/mix002.opt.i: dab8e857d69436654e6c7f0511b4cf3ecd6cd037fe32ed910d6d601721dfd494
      specification: |+
        CHECK( init(main()), LTL(G ! call(reach_error())) )

      data_model: ILP32
      language: C
  content:
  - segment:
    - waypoint:
        type: function_enter
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/mix002.opt.i
          file_hash: dab8e857d69436654e6c7f0511b4cf3ecd6cd037fe32ed910d6d601721dfd494
          line: 809
          column: 57
          function: P2
  - segment:
    - waypoint:
        type: branching
        action: follow
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/mix002.opt.i
          file_hash: dab8e857d69436654e6c7f0511b4cf3ecd6cd037fe32ed910d6d601721dfd494
          line: 18
          column: 42
          function: __VERIFIER_assert
  - segment:
    - waypoint:
        type: function_return
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/mix002.opt.i
          file_hash: dab8e857d69436654e6c7f0511b4cf3ecd6cd037fe32ed910d6d601721dfd494
          line: 809
          column: 57
          function: P2
  - segment:
    - waypoint:
        type: function_enter
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/mix002.opt.i
          file_hash: dab8e857d69436654e6c7f0511b4cf3ecd6cd037fe32ed910d6d601721dfd494
          line: 867
          column: 39
          function: main
  - segment:
    - waypoint:
        type: branching
        action: follow
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/mix002.opt.i
          file_hash: dab8e857d69436654e6c7f0511b4cf3ecd6cd037fe32ed910d6d601721dfd494
          line: 3
          column: 3
          function: assume_abort_if_not
  - segment:
    - waypoint:
        type: function_return
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/mix002.opt.i
          file_hash: dab8e857d69436654e6c7f0511b4cf3ecd6cd037fe32ed910d6d601721dfd494
          line: 867
          column: 39
          function: main
  - segment:
    - waypoint:
        type: function_enter
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/mix002.opt.i
          file_hash: dab8e857d69436654e6c7f0511b4cf3ecd6cd037fe32ed910d6d601721dfd494
          line: 878
          column: 37
          function: main
  - segment:
    - waypoint:
        type: branching
        action: follow
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/mix002.opt.i
          file_hash: dab8e857d69436654e6c7f0511b4cf3ecd6cd037fe32ed910d6d601721dfd494
          line: 18
          column: 42
          function: __VERIFIER_assert
  - segment:
    - waypoint:
        type: target
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/mix002.opt.i
          file_hash: dab8e857d69436654e6c7f0511b4cf3ecd6cd037fe32ed910d6d601721dfd494
          line: 18
          column: 69
          function: __VERIFIER_assert
